Get posts
curl --request GET \
--url https://api.spacebring.com/feed/posts/v1 \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/feed/posts/v1"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/feed/posts/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nextPageToken": "<string>",
"posts": [
{
"comments": 123,
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"likes": 123,
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"height": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"mime": "<string>",
"url": "<string>",
"width": 123
}
],
"membership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"deleteDate": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
},
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pinned": true,
"liked": true,
"locale": "<string>",
"og": {
"url": "<string>",
"description": "<string>",
"image": "<string>",
"title": "<string>",
"type": "<string>",
"videoUrl": "<string>"
},
"text": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"deleteDate": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
}
],
"searchQueryNext": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Feed
Get posts
Get feed posts.
OAuth
Required scopes:feed.readonly or feedGET
/
feed
/
posts
/
v1
Get posts
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
The id of the location.
Token to retrieve the next page of results.
Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.
The number of items to return.
Required range:
1 <= x <= 100Response
OK
Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.
Show child attributes
Show child attributes
Pre-built query string for the next page of results. Contains all active filter parameters combined with the next page token, ready to append to the endpoint URL.
Was this page helpful?
⌘I